Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd
Interface SyndImage

All Superinterfaces:
  Cloneable, CopyFrom

All Known Implementing Classes:
  SyndImageImpl

    public interface SyndImage

extends Cloneable, CopyFrom

Bean interface for images of SyndFeedImpl feeds.

Author:
  Alejandro Abdelnur

Method Summary
`Object` | `clone()` Creates a deep clone of the object.
`String` | `getDescription()` Returns the image description.
`String` | `getLink()` Returns the image link.
`String` | `getTitle()` Returns the image title.
`String` | `getUrl()` Returns the image URL.
`void` | `setDescription(String description)` Sets the image description.
`void` | `setLink(String link)` Sets the image link.
`void` | `setTitle(String title)` Sets the image title.
`void` | `setUrl(String url)` Sets the image URL.

Methods inherited from interface com.sun.syndication.feed.CopyFrom
`copyFrom, getInterface`

Method Detail

### getTitle

    String getTitle()

  Returns the image title.

  Returns:
    the image title, null if none.

### setTitle

    void setTitle(String title)

  Sets the image title.

  Parameters:
    `title` - the image title to set, null if none.

### getUrl

    String getUrl()

  Returns the image URL.

  Returns:
    the image URL, null if none.

### setUrl

    void setUrl(String url)

  Sets the image URL.

  Parameters:
    `url` - the image URL to set, null if none.

### getLink

    String getLink()

  Returns the image link.

  Returns:
    the image link, null if none.

### setLink

    void setLink(String link)

  Sets the image link.

  Parameters:
    `link` - the image link to set, null if none.

### getDescription

    String getDescription()

  Returns the image description.

  Returns:
    the image description, null if none.

### setDescription

    void setDescription(String description)

  Sets the image description.

  Parameters:
    `description` - the image description to set, null if none.

### clone

    Object clone()
                 throws CloneNotSupportedException

  Creates a deep clone of the object.

  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.